# Handle Qualimat transports

Qualimat is a standard for carrying animal feed with good sanitary conditions. To respect it, carriers must be able to show every load that was carried by the "Qualimat" trailer with the loads' IDTF number, and the washings that were made on the trailer.

## Qualimat activation

In Dashdoc, the Qualimat feature must be enabled by the Dashdoc team.

## Additional fleet information

When Qualimat is activated, trailers can be marked as Qualimat using the API (<https://www.dashdoc.eu/api/v3/docs/#operation/partialUpdateTrailer>) or in the settings of the web interface :

![Setting a trailer as "Qualimat" in the web interface](/files/8SkPcgYUaPxCBzpgW2rs)

This is also true for vehicles that can handle a load without a trailer.

When a trailer is marked as Qualimat, the trucker will be forced to give the IDTF number when validating a load. IDTF number may be filled at transport creation (see below).

Marking vehicles and trailers suitable for Qualimat is optional yet recommended. There will be a warning displayed on Qualimat transports using vehicles or trailers that are not marked suitable for Qualimat.

## Creating a Qualimat transport

Specific screens will be displayed to truckers when executing a Qualimat transport. Also, load history will be stored for the vehicle or trailer used for the transport.

In order do to so, transport data must contain additional data that make it a Qualimat transport.

#### Load description

Load `category` must be `bulk_qualimat` and its `idtf_number` is required.

Both information can be sent at transport creation or update through the API in the `loads` section (API v2) or in the `planned_loads` section (API v3 and further). The value for the `idtf_number` field are validated by the API and must be a real IDTF value, as explained in the API reference. IDTF numbers can be found at <https://www.icrt-idtf.com/fr/%22>.

#### Washings

If there is a necessary washing on the transport, this may be specified at root level of transport data, using the `requires_washing` boolean. If true, specific screen about washing activity will be displayed to the trucker. This information is optional.

If you need to tell the trucker what level of washing has to be done, you may use the sites instruction fields, e.g. `loading_instructions` in `origin` or `unloading_instructions` in `destination`.

## Washing note

Washing note attached to the transport by the trucker can be retrieved. See [Retrieve transport documents](https://developer.dashdoc.eu/docs/tutorials/retrieve-transport-tracking-data#get-documents-and-photos-with-their-type).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.dashdoc.com/docs/use-cases-and-tutorials/carriers/handle-qualimat-transports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
